# [Tailor Page Builder for WordPress](http://www.gettailor.com/)

This is the official GitHub repository for the Tailor page builder WordPress plugin.

## Features

* True drag and drop layout creation (add, move, [copy](https://github.com/Enclavely/tailor/blob/master/api.md) and create rows and [nested columns](https://medium.com/@tailorwp/columns-on-steroids-df5a5a957d89)).
* Drag and drop templates.
* History snapshots and undo/redo.
* Device previews for mobile, tablet and desktop screen sizes.
* Support for device-specific settings.
* Support for built-in and third-party widgets.
* Support for WordPress features (multimedia, shortcodes and more). 
* Simple yet comprehensive configuration options.
* Global layout settings (using the Customizer).
* Page-specific layout settings.
* Page-specific custom CSS.
* Page-specific custom JavaScript.
* A [series of endpoints](https://github.com/Enclavely/tailor/blob/master/api.md) in the [WP REST API v2](https://wordpress.org/plugins/rest-api/)
* A comprehensive set of [actions](https://github.com/Enclavely/tailor/blob/master/actions.md) and [filters](https://github.com/Enclavely/tailor/blob/master/filters.md).
* A custom templating engine for easy customization.
* Support for multi-language and RTL layouts.

## Elements

* Box.
* Button.
* Card.
* Carousel and carousel items (supporting both content and media).
* Contact Form (the Contact Form 7 plugin must be activated).
* Content (the core element type which can be moved between other layout elements).
* Gallery (supporting list, grid, carousel and slideshow layouts).
* Grid.
* Rows and columns.
* Hero.
* List.
* [Map](https://medium.com/@tailorwp/using-the-google-maps-api-with-tailor-1c4d12f3f7a3#.sonbzg2qh) (using Google Maps).
* Posts.
* Section.
* Tabs.
* Toggles.
* User.
* Widget areas (display any WordPress widget area).
* Widgets (display any WordPress or third-party widget).
* [Jetpack portfolio](https://medium.com/@tailorwp/using-icons-in-your-content-5985fb0209bc#.1ky71l1gn) (Jetpack portfolio must be activated).
* Jetpack testimonials (Jetpack testimonials must be activated).

The editor provided supports the features you know and love from WordPress, including:
* [Video and audio embeds](https://codex.wordpress.org/Embeds).
* Adding and editing images, videos and galleries using the Media Library.
* WordPress and third-party shortcodes.

Plus more:
* [Custom icons](https://medium.com/@tailorwp/using-icons-in-your-content-5985fb0209bc#.1ky71l1gn) (used for inline icons or lists and support custom icon kits)
* Custom headlines
* Custom typographic elements like dropcaps, lede text and pullquotes

This allows you to manage all of your **actual** content in one place, not a series of disparate elements!

### Portfolio elements

The following elements are available through the free [Portfolio extension](https://github.com/Enclavely/tailor-portfolio):

* Projects

### WooCommerce elements

The following elements are available through the free [WooCommerce extension](https://github.com/Enclavely/tailor-woocommerce):

* Products
* Pricing tables
* Testimonials

### Advanced elements

The free [Advanced Features extension](https://github.com/Enclavely/tailor-advanced) extension introduces additional elements and exciting new functionality.  Be sure to try it!

### Custom elements

Adding your own custom elements is easy and can be achieved using a theme or plugin.  For an example of each, check out:

* [Sample theme](https://github.com/Enclavely/tailor-sample-theme)
* [Sample extension](https://github.com/Enclavely/tailor-sample-extension)

## Get involved

You can get in touch with questions or recommendations in a number of ways:

1. [Facebook](https://www.facebook.com/tailorwp/) or Twitter at [@tailorwp](https://twitter.com/tailorwp).
2. The [Help Center](http://support.gettailor.com)
3. The [GitHub project](https://github.com/Enclavely/tailor)

If you like the plugin, you can help by [rating it](https://wordpress.org/support/view/plugin-reviews/tailor?rate=5#postform).